
///////////////////////// FastLED ///////////////////////////////////////


void FillLEDsFromPaletteColors( CRGB leds[], int NUM_LED, CRGBPalette16 palette, uint8_t colorIndex){
  uint8_t brightness = 255;
  for( int i = 0; i < NUM_LED; i++) {
    leds[i] = ColorFromPalette( palette, colorIndex + sin8(i*16), 255);
    colorIndex += 3;
  }
}

byte FadingBrightness (int FastLEDindex, byte currentBrightness, byte targetBrightness, int step) {
  if (currentBrightness != targetBrightness) { currentBrightness += step ;}
  //else Serial.println("fade done");
  FastLED[FastLEDindex].showLeds(currentBrightness) ;
  return currentBrightness ;
}

void updateLeds(){
  nblendPaletteTowardPalette(lustre_currentPalette, lustre_targetPalette, 48);
  nblendPaletteTowardPalette(lustre_currentPalette, lustre_targetPalette, 48);
  nblendPaletteTowardPalette(lustre_currentPalette, lustre_targetPalette, 48);
  nblendPaletteTowardPalette(lustre_currentPalette, lustre_targetPalette, 48);
  nblendPaletteTowardPalette(lustre_currentPalette, lustre_targetPalette, 48);
  nblendPaletteTowardPalette(lustre_currentPalette, lustre_targetPalette, 48);
  FillLEDsFromPaletteColors(lustreLeds,NUM_LEDS_LUSTRE, lustre_currentPalette, 0);
//  uint8_t secondHand = (millis() / 10) ;
  lustre_currentBrightness = FadingBrightness( 0, lustre_currentBrightness ,255,1);
}



/////////////////////////////// DIMMER  //////////////////////////////////////


byte percent2PWM ( byte valueIn ) {
  return map (valueIn, 0, 100, 14, 92);
}

